//
//  InstagramPhoto.h
//  PhotoSearch
//
//  Created by Roanne Mendoza on 12/13/12.
//  Copyright (c) 2012 Roanne Mendoza. All rights reserved.
//

#import <Foundation/Foundation.h>

@interface InstagramPhoto : NSObject

@property (strong, nonatomic) NSString* thumbnail;
@property (strong, nonatomic) NSString* standardRes;
@property (strong, nonatomic) NSString* username;
@property (strong, nonatomic) NSString* bio;
@property (strong, nonatomic) NSString* profilePic;
@property (strong, nonatomic) NSString* caption;
@property (assign) NSInteger thumbDimension;
@property (assign) NSInteger standardDimension;
@property (assign) NSInteger likes;

+ (NSMutableArray*)buildInstagramFeedFromJSON:(NSArray*)jsonArray;
- (id)initWithData:(NSDictionary*)data;

@end
