//
//  InstagramPhoto.m
//  PhotoSearch
//
//  Created by Roanne Mendoza on 12/13/12.
//  Copyright (c) 2012 Roanne Mendoza. All rights reserved.
//

#import "InstagramPhoto.h"
#import "Constants.h"

@implementation InstagramPhoto

+ (NSMutableArray *)buildInstagramFeedFromJSON:(NSArray *)jsonArray {
    NSMutableArray* array = [NSMutableArray array];
    for (NSDictionary* data in jsonArray) {
        [array addObject:[[InstagramPhoto alloc] initWithData:data]];
    }
    
    return array;
}

- (id)initWithData:(NSDictionary *)data {
    if (self = [super init]) {
        self.thumbnail = [[[data objectForKey:kTagInstagramImages] objectForKey:kTagInstagramThumbnail] objectForKey:kTagInstagramUrl];
    }
    
    return self;
}

@end
